﻿.table-data{
    font-size: 0.8rem;
    overflow:auto;
}

.selected-row, .selected-row :hover {
    background-color: var(--color-primary) !important;
    color: var(--color-secondary) !important;
}

div > .fluent-data-grid {
    height: auto;
    width: 100%;
}

.column-header .col-title{
    padding: 6px !important;
    /*text-align:center !important;*/
}
.fluent-data-grid tbody td {
    padding: 6px !important;
    /*text-align: center !important;*/
}


.icone-line-container {
    display: flex;
    height: 100%;
    width: 100%;
    gap: 0.5rem;
    font-size: 1.2rem;
    align-items: center;
    justify-content: center;
}

.FluentDataGrid-container {
    height: 100%;
    background-color: var(--color-tertiary);
    overflow: auto;
}

.FluentDataGrid-sous-container {
    height: 100%;
    overflow: auto;
    padding:0.7rem;
}

.FluentDataGrid-sous-container .fluent-data-grid {
    height: 100%;
    background-color: #ffffff7a;
    overflow: auto;
}

.FluentDataGrid-sous-container .fluent-data-grid-row:nth-child(2n) > * {
    background-color: #c3c3c361;
}

.FluentDataGrid-pagination-container {
    display: flex;
    flex-direction: column;
    height: 100%;
    gap: 1rem;
    overflow: auto;
}

.FluentDataGrid-table {
    height: 100%;
    overflow: auto;
}

.FluentDataGrid-table-add-icon {
    width: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    height: 100%;
}

.FluentDataGrid-table-row-icons {
    display: flex;
    flex-direction: row;
    gap: 1rem;
    overflow: auto;
    justify-content: end;
    padding-right: .5rem;
}

.FluentDataGrid-paginator {
    margin: 0;
}